/*****************************************************************************
 * Program Name:  Storage Management Services (Example Engine)
 *
 * Filename:	  de.h
 *
 * Date Created:  March 14, 1991
 *
 * Version:		  1.0
 *
 * Files used:	  de.h
 *
 * Date Modified: 
 *
 * Modifications: 
 *
 *
 * $Lgb$
1.1 03/18/92 Gary For SMS v1.1 SDK
1.2 04/23/92 Gary For SMS v1.2 SDK (kit is already released
1.3 07/27/92 tony Updated for use with SMDR
 * $Lge$
 *
 *
 *
 * Comments:	    DE is a sample SME
 *
 * (C) Unpublished Copyright of Novell, Inc.  All Rights Reserved.
 *
 * No part of this file may be duplicated, revised, translated, localized or
 * modified in any manner or compiled, linked or uploaded or downloaded to or
 * from any computer system without the prior written consent of Novell, Inc.
 ****************************************************************************/

#include <ctype.h>
#include <stdio.h>
#include <io.h>
#include <conio.h>
#include <fcntl.h>
#include <sys/stat.h>
#include <time.h>

/*** FOR NLM CONVERSION ***
**	remove  #include <sys/timeb.h>
**	remove  #include <dir.h>
**	remove  #include <alloc.h>
**********************************/

#include <sys/timeb.h>
#include <dir.h>
#include <alloc.h>

/*** FOR NLM CONVERSION ***
**	add  #include <nwmisc.h>
**********************************/

#define BUFFER_SIZE          ((30000L/3L)*2L)
#define END_OF_RECORD_MARKER 0xFFFFFFFFL
#define NOT_ASSIGNED         0xFFFFFFFFL

#define status			printf

/****************************************************************************/
CCODE	DisplayList(NWSM_NAME_LIST *list);
void	getun(char *user);
void	getpw(char *password);
void	pause(void);
void	StartTimer(void);
UINT32	ElapsedTime(void);
char	GetCommand(void);
char	GetBCommand(int backup, char **prompt, int *object);
char	GetRCommand(UINT8 overwriteParent, UINT8 overwriteChild);
UINT32	GetNameSpaceType(void);
UINT32	GetSelectionType(void);
void	SetNameSpaceType(UINT32 nameSpaceType, char *string);
void	SetSelectionType(UINT32 selectionType, char *string);

void	CloseDEFiles(void);
CCODE	OpenDEFiles(char mode);
void	UngetEOF(void);
BUFFER *ReadDEFiles(UINT32 *size, UINT8 *parentFlag, UINT8 *tnoFlag);
CCODE	WriteDEFiles(BUFFER *buffer, UINT32 size, UINT8 parent, UINT8 terminal);
void ProcessSkippedDataSets(void);
void ProcessErrorLog(void);

extern char *_cdt_;
extern int _cdt_o_;

#define _cdt (_cdt_ + _cdt_o_)

/****************************************************************************/
/****************************************************************************/


/****************************************************************************/
/****************************************************************************/

